Annotationen
GET https://analyticse.com/api/annotations/
curl --request GET \
--url 'https://analyticse.com/api/annotations/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/annotations/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Details | Beschreibung |
|---|---|---|
| website_id | Optional Integer | |
| search | Optional String | Die Suchzeichenfolge. |
| search_by | Optional String | Nach welchem Feld suchen Sie? Zulässige Werte sind: name. |
| datetime_field | Optional String | Erlaubte Werte: datetime, last_datetime, chart_datetime |
| datetime_start | Optional String | Startdatum |
| datetime_end | Optional String | Enddatum |
| order_by | Optional String | Welches Feld, nach dem die Ergebnisse sortiert werden sollen. Zulässige Werte sind: annotation_id, website_id, datetime, last_datetime, name, chart_datetime. |
| order_type | Optional String | Die Reihenfolge der Ergebnisse. Zulässige Werte sind: ASC für aufsteigende Sortierung und DESC für absteigende Sortierung. |
| page | Optional Integer | Die Seitenzahl, von der Sie Ergebnisse erhalten möchten. Standardmäßig 1. |
| results_per_page | Optional Integer | Wie viele Ergebnisse Sie pro Seite wünschen. Zulässige Werte sind: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig ist 25. |
{
"data": [
{
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"chart_datetime": "2026-09-12 00:42:14",
"last_datetime": null,
"datetime": "2026-09-12 00:42:14"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://analyticse.com/api/annotations?page=1",
"last": "https://analyticse.com/api/annotations?page=1",
"next": null,
"prev": null,
"self": "https://analyticse.com/api/annotations?page=1"
}
}
GET https://analyticse.com/api/annotations/{annotation_id}
curl --request GET \
--url 'https://analyticse.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"chart_datetime": "2026-09-12 00:42:14",
"last_datetime": null,
"datetime": "2026-09-12 00:42:14"
}
}
POST https://analyticse.com/api/annotations
| Parameter | Details | Beschreibung |
|---|---|---|
| website_id | Erforderlich Integer | - |
| name | Erforderlich String | - |
| chart_datetime | Erforderlich String | Y-m-d H:i:s |
curl --request POST \
--url 'https://analyticse.com/api/annotations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'chart_datetime=2026-09-12 00:42:14' \
--url 'https://analyticse.com/api/annotations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'chart_datetime=2026-09-12 00:42:14' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"chart_datetime": "2026-09-12 00:42:14",
"last_datetime": null,
"datetime": "2026-09-12 00:42:14"
}
}
POST https://analyticse.com/api/annotations/{annotation_id}
| Parameter | Details | Beschreibung |
|---|---|---|
| website_id | Optional Integer | - |
| name | Optional String | - |
| chart_datetime | Optional String | Y-m-d H:i:s |
curl --request POST \
--url 'https://analyticse.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://analyticse.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"chart_datetime": "2026-09-12 00:42:14",
"last_datetime": "2026-09-12 00:42:14",
"datetime": "2026-09-12 00:42:14"
}
}
DELETE https://analyticse.com/api/annotations/{annotation_id}
curl --request DELETE \
--url 'https://analyticse.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \